--
-- Sneekee Mods - Simple UI and Zone Map Changes
-- Author: Polgara97
--

SneekeeModsConfig = {}

SneekeeModsConfig.AceConfig = {
	name = "Sneekee Mods";
	handler = nil;
	type = "group";
	args = {
		taxGroup = {
			type = "header";
			name = "Zone Map (shift-m map)";
			order = 100;
		};
		mapsize = {
			type = "range";
			name = "Zone Map Size";
			desc = "|CFFE6CC7FAdjust the map size. 1 = default";
			descStyle = "inline";
			min = 0.1;
			max = 2;
			step = 0.01;
			set = function(info, val) 
                                SneekeeMods.db.profile.mapsize = val; 
                                SneekeeMods:ChangeMapSize();
                            end;
			get = function(info) return SneekeeMods.db.profile.mapsize end;
			isPercent = true;
			order = 101;
		};
		autoshow = {
			type = "toggle";
			name = "Enable and Always Show (|cffff6060requires reload|r)";
			desc = "|CFFE6CC7FShow Map at All Times";
			descStyle = "inline";
			set = function(info, val) SneekeeMods.db.profile.autoshow = val end;
			get = function(info) return SneekeeMods.db.profile.autoshow end;
			width = "full";
			order = 102;
		};
		bgonly = {
			type = "toggle";
			name = "Show Only in BG (|cffff6060requires reload|r)";
			desc = "|CFFE6CC7FOnly automatically show in battlegrounds";
			descStyle = "inline";
			set = function(info, val) SneekeeMods.db.profile.bgonly = val end;
			get = function(info) return SneekeeMods.db.profile.bgonly end;
			width = "full";
			order = 103;
		};
		hideedges = {
			type = "toggle";
			name = "Hide Border";
			desc = "|CFFE6CC7FRemove the borders from the map";
			descStyle = "inline";
			set = function(info, val) 
                                SneekeeMods.db.profile.hideedges = val; 
                                SneekeeMods:CheckMapEdges();
                            end;
			get = function(info) return SneekeeMods.db.profile.hideedges end;
			width = "full";
			order = 104;
		};
		hideclose = {
			type = "toggle";
			name = "Hide Close Button";
			desc = "|CFFE6CC7FRemove the close button (use shift-m to toggle)";
			descStyle = "inline";
			set = function(info, val) 
                            SneekeeMods.db.profile.hideclose = val; 
                                SneekeeMods:CheckCloseButton();
                            end;
			get = function(info) return SneekeeMods.db.profile.hideclose end;
			width = "full";
			order = 104;
		};

		WMapGroup = {
			type = "header";
			name = "World Map";
			order = 200;
		};
		wmapwarning = {
			type = "description";
			name = "|cffff0000*WARNING: CHANGING THE SIZE FROM 100% WILL EFFECT MOUSE POSITION* 100% = default";
			width = "full";
			order = 201;
		};			
		wmapsize = {
			type = "range";
			name = "World Map Size";
			desc = "|CFFE6CC7FAdjust the map size. 1 = default";
			descStyle = "inline";
			min = 0.1;
			max = 2;
			step = 0.01;
			set = function(info, val) 
                                SneekeeMods.db.char.wmapsize = val; 
                                SneekeeMods:CheckWorldMap();
                            end;
			get = function(info) return SneekeeMods.db.char.wmapsize end;
			isPercent = true;
			order = 202;
		};
		movemapx = {
			type = "range";
			name = "Map Position X";
			desc = "|CFFE6CC7FMove the World Map";
			descStyle = "inline";
			min = -2000;
			max = 2000;
			step = 0.25;
			set = function(info, val) 
                                SneekeeMods.db.char.movemapx = val; 
                                SneekeeMods:CheckWorldMap();
                            end;
			get = function(info) return SneekeeMods.db.char.movemapx end;
			isPercent = false;
			order = 203;
		};
		movemapy = {
			type = "range";
			name = "Map Postion Y";
			desc = "|CFFE6CC7FMove the World Map";
			descStyle = "inline";
			min = -1000;
			max = 1000;
			step = 0.25;
			set = function(info, val) 
                                SneekeeMods.db.char.movemapy = val; 
                                SneekeeMods:CheckWorldMap();
                            end;
			get = function(info) return SneekeeMods.db.char.movemapy end;
			isPercent = false;
			order = 204;
		};
		usemaptools = {
			type = "toggle";
			name = "Use SneekeeMods Map Position and Size (|CFFE6CC7Fall characters|r)";
			desc = "|CFFE6CC7FOverride the default map position and size";
			descStyle = "inline";
			set = function(info, val) 
                                SneekeeMods.db.profile.usemaptools = val; 
                                SneekeeMods:CheckWorldMap();
                            end;
			get = function(info) return SneekeeMods.db.profile.usemaptools end;
			width = "full";
			order = 205;
		};
		snkemapdrag = {
			type = "toggle";
			name = "Allow Dragging of SneekeeMods World Map (|CFFE6CC7Fper character|r)";
			desc = "|CFFE6CC7FMap can be moved with mouse (uncheck to lock position)";
			descStyle = "inline";
			set = function(info, val) SneekeeMods.db.char.snkemapdrag = val end;
			get = function(info) return SneekeeMods.db.char.snkemapdrag end;
			width = "full";
			order = 206;
		};
		snkepoint = {
			type = "description";
			descStyle = "inline";
                        name = "";
			get = function(info) return SneekeeMods.db.char.snkepoint end;
			width = "full";
			order = 207;
		};
		snkerelto = {
			type = "description";
			descStyle = "inline";
                        name = "";
			get = function(info) return SneekeeMods.db.char.snkerelto end;
			width = "full";
			order = 208;
		};
		snkerelpt = {
			type = "description";
			descStyle = "inline";
                        name = "";
			get = function(info) return SneekeeMods.db.char.snkerelpt end;
			width = "full";
			order = 209;
		};

		FPSGroup = {
			type = "header";
			name = "Movable FPS Monitor (ctrl-r to toggle)";
			order = 300;
		};
		fpsmonon = {
			type = "toggle";
			name = "Always Show FPS Monitor (|cffff6060requires reload|r)";
			desc = "|CFFE6CC7FKeep FPS Monitor on screen (use ctrl-r to toggle)";
			descStyle = "inline";
			set = function(info, val) SneekeeMods.db.profile.fpsmonon = val end;
			get = function(info) return SneekeeMods.db.profile.fpsmonon end;
			width = "full";
			order = 301;
		};
		fpsmon = {
			type = "toggle";
			name = "Custom Movable FPS Monitor";
			desc = "|CFFE6CC7FHide Blizz FPS Monitor & Use Custom Movable Monitor";
			descStyle = "inline";
			set = function(info, val) 
                                SneekeeMods.db.profile.fpsmon = val; 
                                SneekeeMods:CheckFPSMonitor();
                            end;
			get = function(info) return SneekeeMods.db.profile.fpsmon end;
			width = "full";
			order = 302;
		};
                fpscolor = {
                        type = "select",
                        name = "Color",
			desc = "|CFFE6CC7FChoose a Color";
			descStyle = "inline";
                        values = {"White", "Yellow", "Red", "Green", "Blue", "Purple", "Grey",};
			set = function(info, val) 
                                SneekeeMods.db.profile.fpscolor = val; 
                                SneekeeMods:CheckFPSColor();
                            end;
			get = function(info) return SneekeeMods.db.profile.fpscolor end;
			order = 303;
                };

		GryphGroup = {
			type = "header";
			name = "Hide Gryphons";
			order = 400;
		};
		hidegryph = {
			type = "toggle";
			name = "Hide Gryphons";
			desc = "|CFFE6CC7FHide Gryphon end caps on action bars";
			descStyle = "inline";
			set = function(info, val) 
                                SneekeeMods.db.profile.hidegryph = val; 
                                SneekeeMods:CheckGryphons();
                            end;
			get = function(info) return SneekeeMods.db.profile.hidegryph end;
			width = "full";
			order = 401;
		};

		QuestsGroup = {
			type = "header";
			name = "Collapse Quest Tracker";
			order = 500;
		};
		hidequests = {
			type = "toggle";
			name = "Collapse Quest Tracker (|cffff6060requires reload|r)";
			desc = "|CFFE6CC7FCollapse Quest Tracker (Objectives) on Login";
			descStyle = "inline";
			set = function(info, val) SneekeeMods.db.profile.hidequests = val end;
			get = function(info) return SneekeeMods.db.profile.hidequests end;
			width = "full";
			order = 501;
		};
		movequests = {
			type = "toggle";
			name = "Make Quest Tracker Movable (|cffff6060requires reload|r)";
			desc = "|CFFE6CC7FMakes Quest Tracker (Objectives) Movable (|cffff6060Uncheck for Kaliel's Tracker|r)";
			descStyle = "inline";
			set = function(info, val) SneekeeMods.db.profile.movequests = val end;
			get = function(info) return SneekeeMods.db.profile.movequests end;
			width = "full";
			order = 502;
		};

		ButtonsGroup = {
			type = "header";
			name = "Hide Text on Buttons";
			order = 600;
		};
		hidemacro = {
			type = "toggle";
			name = "Hide Macro Names (|cffff6060requires reload|r)";
			desc = "|CFFE6CC7FHide Macro Names on Action Bar Buttons";
			descStyle = "inline";
			set = function(info, val) SneekeeMods.db.profile.hidemacro = val end;
			get = function(info) return SneekeeMods.db.profile.hidemacro end;
			width = "full";
			order = 601;
		};
		hidekeybinds = {
			type = "toggle";
			name = "Hide Key Binds (|cffff6060requires reload|r)";
			desc = "|CFFE6CC7FHide Key Binds on Action Bar Buttons";
			descStyle = "inline";
			set = function(info, val) SneekeeMods.db.profile.hidekeybinds = val end;
			get = function(info) return SneekeeMods.db.profile.hidekeybinds end;
			width = "full";
			order = 602;
		};

		ACamGroup = {
			type = "header";
			name = "ActionCam Settings";
			order = 700;
		};
		acamignore = {
			type = "toggle";
			name = "Ignore Custom ActionCam";
			desc = "|CFFE6CC7FIgnore ActionCam Settings (leave my stuff alone)";
			descStyle = "inline";
			set = function(info, val) 
                                SneekeeMods.db.profile.acamignore = val; 
                                SneekeeMods:CheckActionCam();
                            end;
			get = function(info) return SneekeeMods.db.profile.acamignore end;
			width = "full";
			order = 701;
		};
		acamon = {
			type = "toggle";
			name = "ActionCam On";
			desc = "|CFFE6CC7FUse the ActionCam (You MUST turn off Ignore)";
			descStyle = "inline";
			set = function(info, val) 
                                SneekeeMods.db.profile.acamon = val; 
                                SneekeeMods:CheckActionCam();
                            end;
			get = function(info) return SneekeeMods.db.profile.acamon end;
			width = "full";
			order = 702;
		};
		acambasic = {
			type = "toggle";
			name = "ActionCam Basic";
			desc = "|CFFE6CC7FUse the ActionCam Basic (limited) Instead of Full (must turn On above)";
			descStyle = "inline";
			set = function(info, val) 
                                SneekeeMods.db.profile.acambasic = val; 
                                SneekeeMods:CheckActionCam();
                            end;
			get = function(info) return SneekeeMods.db.profile.acambasic end;
			width = "full";
			order = 703;
		};
		acamminimap = {
			type = "toggle";
			name = "Use ActionCam Minimap Controls";
			desc = "|CFFE6CC7FTurn Action Cam On and Off from the Minimap Button";
			descStyle = "inline";
			set = function(info, val) 
                                SneekeeMods.db.profile.acamminimap = val; 
                            end;
			get = function(info) return SneekeeMods.db.profile.acamminimap end;
			width = "full";
			order = 704;
		};

		GarGroup = {
			type = "header";
			name = "Garrison & Order Hall Reports";
			order = 800;
		};
		garreport = {
			type = "toggle";
			name = "Add Garrison & Order Reports to BFA Minimap Mission Button (|cffff6060requires reload|r)";
			desc = "|CFFE6CC7FBFA Minimap Mission Button Allows Access to Order Hall & Garrison Reports";
			descStyle = "inline";
			set = function(info, val) SneekeeMods.db.profile.garreport = val end;
			get = function(info) return SneekeeMods.db.profile.garreport end;
			width = "full";
			order = 801;
		};

		ChatColorGroup = {
			type = "header";
			name = "Class Colors in Chat";
			order = 900;
		};
		classcolorsoff = {
			type = "toggle";
			name = "Class Colors Off in Chat";
			desc = "|CFFE6CC7FCheck to Turn off Class Colors in Chat";
			descStyle = "inline";
			set = function(info, val) 
                                SneekeeMods.db.profile.classcolorsoff = val;
                                SneekeeMods:CheckClassColor();
                            end;
			get = function(info) return SneekeeMods.db.profile.classcolorsoff end;
			width = "full";
			order = 901;
		};

		MiscGroup = {
			type = "header";
			name = "Miscellaneous";
			order = 1000;
		};
		hideminimapicon = {
			type = "toggle";
			name = "Hide Minimap Icon";
			desc = "|CFFE6CC7FHide SneekeeMods Icon on the Minimap";
			descStyle = "inline";
			set = function(info, val) 
                                SneekeeMods.db.profile.hideminimapicon = val; 
                                SneekeeMods.CheckMMicon();
                            end;
			get = function(info) return SneekeeMods.db.profile.hideminimapicon end;
			width = "full";
			order = 1001;
		};
		snkeminimap = {
			type = "description";
			descStyle = "inline";
                        name = "";
			get = function(info) return SneekeeMods.db.profile.snkeminimap end;
			width = "full";
			order = 1002;
		};
		snkeopts = {
			type = "description";
			name = " -- Use command '/snke' to open options";
			width = "full";
			order = 1102;
		};
		snkeopts2 = {
			type = "description";
			name = " -- Use command '/snke fs' to toggle fullscreen";
			width = "full";
			order = 1103;
		};
		snkeaddspace = {
			type = "description";
			name = "       ";
			width = "full";
			order = 1220;
		};
		snkeaddspace2 = {
			type = "description";
			name = "       ";
			width = "full";
			order = 1221;
		};

	}
}
